| Linux NFC User Mode Stack

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
nfcHostCardEmulationCallback_t Struct Reference

Host card emulation callback function structure definition. More...

`#include <linux_nfc_api.h>`

## Public Attributes
void(* | onHostCardEmulationActivated )()
| Host Card Emulation activation callback function. More...
void(* | onHostCardEmulationDeactivated )()
| Host Card Emulation de-activation callback function. More...
void(* | onDataReceived )(unsigned char *data, unsigned int data_length)
| Apdu data callback function. More...

## Detailed Description

Host card emulation callback function structure definition.

Definition at line 389 of file linux_nfc_api.h.

## Member Data Documentation

void(* nfcHostCardEmulationCallback_t::onDataReceived) (unsigned char *data, unsigned int data_length)

Apdu data callback function.

Parameters

  data | apdu data received from remote reader
  data_length | apdu data length

Definition at line 405 of file linux_nfc_api.h.

void(* nfcHostCardEmulationCallback_t::onHostCardEmulationActivated) ()

Host Card Emulation activation callback function.

Definition at line 393 of file linux_nfc_api.h.

void(* nfcHostCardEmulationCallback_t::onHostCardEmulationDeactivated) ()

Host Card Emulation de-activation callback function.

Definition at line 398 of file linux_nfc_api.h.

The documentation for this struct was generated from the following file:

- C:/Users/nxp99386/Documents/Nest/libnfc-nci-linux/libnfc-nci-linux/src/include/linux_nfc_api.h